/*
 * @(#)BrokerLogListCObj.java	1.5 01/02/02
 *
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved
 * SUN PROPRIETARY/CONFIDENTIAL
 * Use is subject to license terms.
 *
 */

package com.sun.messaging.jmq.admin.apps.console;

import javax.swing.ImageIcon;
import javax.swing.JPopupMenu;
import javax.swing.JMenuItem;

import com.sun.messaging.jmq.admin.util.Globals;
import com.sun.messaging.jmq.admin.resources.AdminConsoleResources;

/** 
 * This class is used in the JMQ Administration console
 * to store information related to the broker log
 * list.
 *
 * @see ConsoleObj
 * @see BrokerAdminCObj
 *
 */
public class BrokerLogListCObj extends BrokerAdminCObj  {
    private static AdminConsoleResources acr = Globals.getAdminConsoleResources();

    public String getExplorerLabel()  {
	return (acr.getString(acr.I_BROKER_LOG_LIST));
    }

    public String getExplorerToolTip()  {
	return (null);
    }

    public ImageIcon getExplorerIcon()  {
	return (AGraphics.adminImages[AGraphics.BROKER_LOG_LIST]);
    }

    public int getExplorerPopupMenuItemMask()  {
	return (getActiveActions());
    }


    public int getActiveActions()  {
	return (0);
    }



    public String getInspectorPanelClassName()  {
	return (ConsoleUtils.getPackageName(this) + ".BrokerLogListInspector");
    }

    public String getInspectorPanelId()  {
	return ("Broker Logs");
    }

    public String getInspectorPanelHeader()  {
	return (getInspectorPanelId());
    }
}
