/*
 *  @(#)StringUID.java	1.6 08/29/03
 *
 * Copyright 2003 Sun Microsystems, Inc. All Rights Reserved
 * SUN PROPRIETARY/CONFIDENTIAL
 * Use is subject to license terms. 
 *
 */

package com.sun.messaging.jmq.jmsserver.core;


/**
 * a UID class which is based off of a unique String
 */


public class StringUID implements java.io.Serializable
{
    private String str = null;
    private int hashCode = 0;


    public StringUID(String str) {
        assert str != null;
        this.str = str;
    }

    public String toString() {
        return str;
    }

    public int hashCode() {
        if (str == null) {
            return 0;
        }
        if (hashCode == 0)
            hashCode = str.hashCode();
        return hashCode;
    }

    public boolean equals(Object o) {
        if (str == null) {
            return o == null;
        }
        return str.equals(o.toString());
    }

}
