
/*
 * @(#)BrokerAttributes.java	1.6 05/12/05
 *
 * Copyright 2005 Sun Microsystems, Inc. All Rights Reserved
 * SUN PROPRIETARY/CONFIDENTIAL
 * Use is subject to license terms.
 *
 */

package com.sun.messaging.jms.management.server;

/**
 * Class containing information on broker attributes.
 *
 * @version     1.6 05/12/05
 * @author      Isa Hashim
 */
public class BrokerAttributes {
    /** 
     * Broker ID
     */
    public static final String		BROKER_ID = "BrokerID";

    /** 
     * Broker version.
     */
    public static final String		VERSION = "Version";

    /** 
     * Broker instance name.
     */
    public static final String		INSTANCE_NAME = "InstanceName";

    /** 
     * Broker port.
     */
    public static final String		PORT = "Port";

    /** 
     * Whether broker is embedded (running in process) or not.
     */
    public static final String		EMBEDDED = "Embedded";

    /*
     * Class cannot be instantiated
     */
    private BrokerAttributes() {
    }
    
}
