
/*
 * @(#)ConnectionOperations.java	1.5 06/01/23
 *
 * Copyright 2005 Sun Microsystems, Inc. All Rights Reserved
 * SUN PROPRIETARY/CONFIDENTIAL
 * Use is subject to license terms.
 *
 */

package com.sun.messaging.jms.management.server;

/**
 * Class containing information on connection attributes.
 *
 * @version     1.5 06/01/23
 * @author      Isa Hashim
 */
public class ConnectionOperations {
    /** 
     * Destroy a connection.
     */
    public static final String		DESTROY = "destroy";

    /** 
     * Get list of connection MBean object names
     */
    public static final String		GET_CONNECTIONS = "getConnections";

    /** 
     * Get list of consumer IDs
     */
    public static final String		GET_CONSUMER_IDS = "getConsumerIDs";

    /** 
     * Get list of producer IDs
     */
    public static final String		GET_PRODUCER_IDS = "getProducerIDs";

    /** 
     * Get object names of service MBean
     */
    public static final String		GET_SERVICE = "getService";

    /** 
     * Get object names of temporary destination MBeans
     */
    public static final String		GET_TEMP_DESTINATIONS = "getTemporaryDestinations";

    /*
     * Class cannot be instantiated
     */
    private ConnectionOperations() {
    }
    
}
