
/*
 * @(#)MQNotification.java	1.2 05/08/08
 *
 * Copyright 2005 Sun Microsystems, Inc. All Rights Reserved
 * SUN PROPRIETARY/CONFIDENTIAL
 * Use is subject to license terms.
 *
 */

package com.sun.messaging.jms.management.server;

import javax.management.Notification;

/**
 * Class containing information on cluster operations.
 *
 * <P>
 * The MQ specific fields in this notification is TBD.
 *
 * @version     1.2 05/08/08
 * @author      Isa Hashim
 */
public class MQNotification extends Notification  {
    /** 
     * Prefix for all MQ notification type strings.
     */
    public static final String		PREFIX = "mq.";

    /**
     * Creates a MQNotification object.
     *
     * @param type		The notification type.
     * @param source		The notification source.
     * @param sequenceNumber	The notification sequence number within the source object.
     */
    public MQNotification(String type, Object source, long sequenceNumber) {
	super(type, source, sequenceNumber);
    }
    
}
