
/*
 * @(#)ServiceOperations.java	1.3 06/01/23
 *
 * Copyright 2005 Sun Microsystems, Inc. All Rights Reserved
 * SUN PROPRIETARY/CONFIDENTIAL
 * Use is subject to license terms.
 *
 */

package com.sun.messaging.jms.management.server;

/**
 * Class containing information on service operations.
 *
 * @version     1.3 06/01/23
 * @author      Isa Hashim
 */
public class ServiceOperations {
    /** 
     * Get list of service MBean object names
     */
    public static final String		GET_SERVICES = "getServices";

    /** 
     * Get list of connection MBean object names
     */
    public static final String		GET_CONNECTIONS = "getConnections";

    /** 
     * Get list of consumer IDs.
     */
    public static final String		GET_CONSUMER_IDS = "getConsumerIDs";

    /** 
     * Get list of producer IDs.
     */
    public static final String		GET_PRODUCER_IDS = "getProducerIDs";

    /** 
     * Pause service.
     */
    public static final String		PAUSE = "pause";

    /** 
     * Resume service.
     */
    public static final String		RESUME = "resume";

    /*
     * Class cannot be instantiated
     */
    private ServiceOperations() {
    }
    
}
