
/*
 * @(#)TransactionOperations.java	1.3 06/01/23
 *
 * Copyright 2005 Sun Microsystems, Inc. All Rights Reserved
 * SUN PROPRIETARY/CONFIDENTIAL
 * Use is subject to license terms.
 *
 */

package com.sun.messaging.jms.management.server;

/**
 * Class containing information on transaction operations.
 *
 * @version     1.3 06/01/23
 * @author      Isa Hashim
 */
public class TransactionOperations {
    /** 
     * Get list of transaction IDs
     */
    public static final String		GET_TRANSACTION_IDS = "getTransactionIDs";

    /** 
     * Get info on all transactions
     */
    public static final String		GET_TRANSACTION_INFO = "getTransactionInfo";

    /** 
     * Get info on specified transaction (via ID)
     */
    public static final String		GET_TRANSACTION_INFO_BY_ID = "getTransactionInfoByID";

    /** 
     * Commit a transaction.
     */
    public static final String		COMMIT = "commit";

    /** 
     * Rollback a transaction.
     */
    public static final String		ROLLBACK = "rollback";

    /*
     * Class cannot be instantiated
     */
    private TransactionOperations() {
    }
    
}
